<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

interface Cache_Interface
{
	public function get($key);
	public function set($key, $data, $ttl=NULL);
	public function add($key, $data, $ttl=NULL);
	public function remove($key);
	public function clean();
}